Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xml.marshalling
Class XOMarshaller

    java.lang.Object
      com.ejie.r01f.xml.marshalling.XOMarshaller

All Implemented Interfaces:
  java.io.Serializable

public class XOMarshaller
extends java.lang.Object
implements java.io.Serializable

Clase para convertir de XML a Objetos y viceversa (marshall / unMarshall)

See Also:
  Serialized Form

Constructor Summary
`XOMarshaller()` Creates a new instance of OXMarshaller
`XOMarshaller(java.io.File mapFile)` Crea una nueva instancia a partir de un fichero XML con el mapeo
`XOMarshaller(java.io.InputStream mapIs)` Crea una nueva instancia a partir de un fichero XML con el mapeo
`XOMarshaller(java.lang.String xmlMap)` Crea una nueva instancia a partir de un XML de mapeo
`XOMarshaller(XOMap newMap)` Crea una nueva instancia a partir de un mapa

Method Summary
`XOMap` | `getMap()` Obtiene el mapa de marshalling
`java.lang.Object` | `getObject(java.io.File file)` Obtiene un objeto a partir de un fichero xml
`java.lang.Object` | `getObject(java.io.InputStream is)` Obtiene un objeto a partir de un XML
`java.lang.Object` | `getObject(java.lang.String xml)` Construye una jerarquia de objetos a partir del xml
`java.lang.String` | `getXML(java.lang.Object obj)` Convierte un objeto a xml
`java.lang.String` | `marshall(java.lang.Object obj)` Convierte un objeto a XML
`java.lang.Object` | `unmarshall(java.lang.String xml)` Convierte un XML a objeto

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XOMarshaller

    public XOMarshaller()

  Creates a new instance of OXMarshaller

### XOMarshaller

    public XOMarshaller(XOMap newMap)

  Crea una nueva instancia a partir de un mapa

Parameters:
  `newMap` - El objeto (mapa) de definicion de la transformación XML<->Objetos

### XOMarshaller

    public XOMarshaller(java.lang.String xmlMap)
                 throws XOMarshallerException

  Crea una nueva instancia a partir de un XML de mapeo

Parameters:
  `xmlMap` - El mapa en xml de definición de la transformación XML<->Objetos

### XOMarshaller

    public XOMarshaller(java.io.File mapFile)
                 throws XOMarshallerException

  Crea una nueva instancia a partir de un fichero XML con el mapeo

Parameters:
  `mapFile` - El path al fichero que contiene el XML del mapa con la definición de la transformacion XML<->Objetos

### XOMarshaller

    public XOMarshaller(java.io.InputStream mapIs)
                 throws XOMarshallerException

  Crea una nueva instancia a partir de un fichero XML con el mapeo

Parameters:
  `mapIs` - Un inputStream al XML del mapa con la definición de la transformación XML<->Objetos

Method Detail

### unmarshall

    public java.lang.Object unmarshall(java.lang.String xml)
                                throws XOMarshallerException

  Convierte un XML a objeto

  Parameters:
    `xml` - El xml a convertir en objeto
  Returns:
    el objeto obtenido a partir del XML
  Throws:
    `XOMarshallerException`

### marshall

    public java.lang.String marshall(java.lang.Object obj)
                              throws XOMarshallerException

  Convierte un objeto a XML

  Returns:
    Un string con el xml
  Throws:
    `XOMarshallerException`

### getXML

    public java.lang.String getXML(java.lang.Object obj)
                            throws XOMarshallerException

  Convierte un objeto a xml

  Parameters:
    `obj` - El objeto
  Returns:
    el xml obtenido a partir del objeto
  Throws:
    `XOMarshallerException`

### getObject

    public java.lang.Object getObject(java.lang.String xml)
                               throws XOMarshallerException

  Construye una jerarquia de objetos a partir del xml

  Parameters:
    `xml` - El xml
  Returns:
    El objeto construido a partir del xml
  Throws:
    `XOMarshallerException`

### getObject

    public java.lang.Object getObject(java.io.File file)
                               throws XOMarshallerException

  Obtiene un objeto a partir de un fichero xml

  Parameters:
    `file` - El fichero con el xml
  Returns:
    El objeto construido a partir del XML
  Throws:
    `XOMarshallerException`

### getObject

    public java.lang.Object getObject(java.io.InputStream is)
                               throws XOMarshallerException

  Obtiene un objeto a partir de un XML

  Returns:
    El objeto construido a partir del XML
  Throws:
    `XOMarshallerException`

### getMap

    public XOMap getMap()

  Obtiene el mapa de marshalling

  Returns:
    El objeto de mapeo utilizado en el proceso de marshalling/unmarshalling

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD